module MusicReleaseContext
  extend ActiveSupport::Concern

  def music_releases
    policy_scope(MusicRelease)
  end

  def set_music_release
    music_release_id = params[:music_release_id] || params[:id]

    @music_release = authorize music_releases.find(music_release_id)
  end
end
